Name:           gobby
Version:        0.6.0
Release:        %mkrel 2
Summary:        A free collaborative editor
Group:          Editors
License:        GPLv2+
URL:            https://gobby.github.io/
Source0:        https://github.com/gobby/gobby/releases/download/v%{version}/gobby-%{version}.tar.gz
BuildRequires:	pkgconfig(libxml++-2.6)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(giomm-2.4)
BuildRequires:  pkgconfig(libgsasl)
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(libinfinity-0.7)
BuildRequires:  pkgconfig(libinftext-0.7)
BuildRequires:  pkgconfig(libinfgtk-0.7)
BuildRequires:  pkgconfig(libinftextgtk-0.7)
BuildRequires:  yelp-tools
BuildRequires:  intltool
BuildRequires:  itstool

%description
Gobby is a free collaborative editor. This means that it provides you with the
possibility to edit files simultaneously with other users over a network.

%prep
%autosetup -p1

%build
export CXXFLAGS="%{build_cflags} -Wno-deprecated-declarations"
autoreconf -fi
%configure
%make_build

%install
%make_install

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%doc ChangeLog* AUTHORS README.md NEWS
%{_bindir}/gobby-0.5
%{_datadir}/gobby-0.5/
%{_datadir}/glib-2.0/schemas/*.xml
%{_metainfodir}/gobby-0.5.metainfo.xml
%{_datadir}/applications/gobby-0.5.desktop
%{_iconsdir}/*/*/apps/gobby-0.5.{png,svg}
%{_mandir}/man1/gobby-0.5.1*


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 0.6.0-2.mga9
+ Revision: 1845849
- Mageia 9 Mass Rebuild

* Sun Sep 05 2021 wally <wally> 0.6.0-1.mga9
+ Revision: 1744330
- new version 0.6.0

* Fri Mar 06 2020 daviddavid <daviddavid> 0.6.0-0.git20180403.4.mga8
+ Revision: 1554306
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 03 2018 daviddavid <daviddavid> 0.6.0-0.git20180403.3.mga7
+ Revision: 1317142
- fix release tag

* Wed Oct 03 2018 pterjan <pterjan> 0.6.0-0.git20180403.2.mga7.mga7
+ Revision: 1316241
- Mageia 7 Mass Rebuild

* Fri Apr 13 2018 daviddavid <daviddavid> 0.6.0-0.git20180403.1.mga7.mga7
+ Revision: 1218318
- new snapshot release: 0.6.0-git20180403
  * commit: ea4df27c9b6b885434797b0071ce198b23f9f63b
+ kekepower <kekepower>
- Add patch to find libinfinity 0.7
- Rebuild for new libinfinity
- Use make_build

* Fri Jan 22 2016 daviddavid <daviddavid> 0.5.0-2.mga6
+ Revision: 926512
- rebuild for new gnutls 3.4.8

* Sat Aug 29 2015 daviddavid <daviddavid> 0.5.0-1.mga6
+ Revision: 871052
- compile C++ code with -std=gnu++11
- new version: 0.5.0
- update URL and Source URL
- switch to GTK+ 3.0
- update BuildRequires:
  * add libgsasl, libinfinity, libinfgtk3, libinftext, libinftextgtk3 and gnome-doc-utils
- use upstream desktop file
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.4.13-4.mga5
+ Revision: 747062
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.13-3.mga5
+ Revision: 679844
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.13-2.mga4
+ Revision: 528594
- Mageia 4 Mass Rebuild

* Tue Jun 25 2013 fwang <fwang> 0.4.13-1.mga4
+ Revision: 446358
- cleanup patches and br
- new version 0.4.13

* Sat Jan 12 2013 dmorgan <dmorgan> 0.4.12-2.mga3
+ Revision: 361110
- Add P0 to fix build
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 01 2011 ovitters <ovitters> 0.4.12-1.mga2
+ Revision: 137591
- update to 0.4.12
  clean spec file (buildroot, Mandriva name, Mandriva version checks)
- imported package gobby


* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.11-1mdv2010.0
+ Revision: 447917
- Update to new version 0.4.11

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Mar 18 2009 Michael Scherer <misc@mandriva.org> 0.4.10-1mdv2009.1
+ Revision: 357465
- update to 0.4.10
- update source url sur mdvsys update work

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.4.9-1mdv2009.1
+ Revision: 324534
- BR intltool
- New version 0.4.9

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Tue Nov 11 2008 Funda Wang <fwang@mandriva.org> 0.4.8-1mdv2009.1
+ Revision: 302045
- New version 0.4.8

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 0.4.6-1mdv2008.1
+ Revision: 158711
- New version 0.4.6

* Tue Jan 22 2008 Funda Wang <fwang@mandriva.org> 0.4.5-3mdv2008.1
+ Revision: 156305
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 0.4.5-1mdv2008.0
+ Revision: 79843
- 0.4.5

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sun Aug 19 2007 Michael Scherer <misc@mandriva.org> 0.4.4-1mdv2008.0
+ Revision: 66492
- fix buildrequires
- new version


* Sun Sep 24 2006 Michael Scherer <misc@mandriva.org> 0.4.1-2mdv2007.0
- rebuild for missing zeroconf support

* Mon Sep 04 2006 Michael Scherer <misc@mandriva.org> 0.4.1-1mdv2007.0
- New version 0.4.1
- xdg

* Thu Jun 01 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1-1mdv2007.0
- New release 0.3.1

* Wed Dec 21 2005 Michael Scherer <misc@mandriva.org> 0.3.0-1mdk
- New release 0.3.0

* Fri Nov 04 2005 Michael Scherer <misc@mandriva.org> 0.2.2-1mdk
- First package

